<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Business Edition 2.0.6                                  |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2010 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | Contentteller is not free software. You may not redistribute this file   |
// | or its derivatives without written permission.                           |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529.6.100301-115731                                               |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Articles
 * @copyright (C) 2002 - 2010 Esselbach Internet Solutions
 */

/**
 * function ArticlesPagesPrinter
 * A function to show printer friendly article pages
 * @author Philipp Louis Esselbach
 */
function ArticlesPagesPrinter( $page )
{
	global $config, $database, $templates, $system, $security, $preferences, $user;
	list( $page_query, $opt ) = $system -> getpages( $page, 1 );

	if( $opt == 1 )
	{
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_articles SET article_views = article_views + 1 WHERE article_seo = '" . $page_query . "' AND (article_website = '0' OR article_website = '" . intval( $config[ 'WEBSITE' ] ) . "')" );
	}

	$templates -> initgzip();
	$main_templates = $templates -> preparetemplates( "'site_header','site_footer','site_block','site_login_anon','site_login_user','site_invalid_form','articles_header','articles_pages_printer','articles_pages_printer_password','articles_error_password','articles_error_na','articles_footer'", $preferences[ 'current_theme' ] );
	$insert = $system -> getinsert( $preferences, $main_templates );
	$currentdate = date( "Y-m-d H:i:s", mktime() );

	if( $user[ 'user_status' ] == 1 )
	{
		$article_status = "(a1.article_status = '0' OR a1.article_status = '1' OR a1.article_status = '3')";
	}
	elseif( $user[ 'user_status' ] == 2 or $user[ 'user_status' ] == 3 )
	{
		$article_status = "(a1.article_status = '0' OR a1.article_status = '1' OR a1.article_status = '2' OR a1.article_status = '3' OR a1.article_status = '4')";
	}
	elseif( $user[ 'user_status' ] == 6 )
	{
		$article_status = "(a1.article_status = '0' OR a1.article_status = '1' OR a1.article_status = '3' OR a1.article_status = '4')";
	}
	else
	{
		$article_status = "(a1.article_status = '0' OR a1.article_status = '3')";
	}

	if( $preferences[ 'articles_start_expire_date' ] )
	{
		$articles_expire_sql = " AND a1.article_startdate < '" . $currentdate . "' AND (a1.article_expiredate > '" . $currentdate . "' OR a1.article_neverexpire = '1')";
	}
	else
	{
		$articles_expire_sql = "";
	}

	$query = $database -> dbquery( "SELECT a1.article_id, a1.article_author, a1.article_category, a1.article_title, a1.article_seo, a1.article_summary, a1.article_description, a1.article_keywords, a1.article_teaser, a1.article_comments, a1.article_allowcomments, a1.article_status, a1.article_password, a1.article_date, a1.article_fields, a1.article_views, a1.article_rating, a1.article_votes, a2.articlepage_id, a2.articlepage_page, a2.articlepage_title, a2.articlepage_text FROM " . DB_PREFIX . "esselbach_ct_articles a1, " . DB_PREFIX . "esselbach_ct_articlespages a2 WHERE a2.articlepage_article = a1.article_id AND a1.article_seo = '" . $page_query . "' AND " . $article_status . " AND (a1.article_website = '0' OR a1.article_website = '" . intval( $config[ 'WEBSITE' ] ) . "')" . $articles_expire_sql . " ORDER BY a2.articlepage_page" );

	$insert[ 'articlepage_text' ] = "";
	if( $database -> dbrows( $query ) )
	{
		while(list( $insert[ 'article_id' ], $insert[ 'article_author' ], $insert[ 'article_category' ], $insert[ 'article_title' ], $insert[ 'article_seo' ], $insert[ 'article_summary' ], $insert[ 'article_description' ], $insert[ 'article_keywords' ], $insert[ 'article_teaser' ], $insert[ 'article_comments' ], $insert[ 'article_allowcomments' ], $insert[ 'article_status' ], $insert[ 'article_password' ], $insert[ 'article_date' ], $insert[ 'article_fields' ], $insert[ 'article_views' ], $insert[ 'article_rating' ], $insert[ 'article_votes' ], $insert[ 'articlepage_id' ], $insert[ 'articlepage_page' ], $insert[ 'articlepage_title' ], $insert[ 'articlepage_text' ] ) = $database -> dbrow( $query ) )
		{

		$id = $security -> checknum( $insert[ 'article_id' ] );

		if( $insert[ 'article_status' ] == 3 )
		{
			$article_password = ( isset( $_POST[ 'article_password' ] ) ) ? $security -> checkvare( $_POST[ 'article_password' ] ) : "" ;
			$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;

			if( !$article_password )
			{
				session_start();
				$insert[ 'articles_security_hash' ] = $system -> dorand();
				$_SESSION[ 'articles_security_hash' ] = $insert[ 'articles_security_hash' ];
				$article_notice = $templates -> exectemplate( $main_templates[ 'articles_pages_printer_password_html' ], $main_templates[ 'articles_pages_printer_password_php' ], $insert );
			}
			elseif( $article_password != $insert[ 'article_password' ] )
			{
				$article_notice = $templates -> exectemplate( $main_templates[ 'article_error_password_html' ], $main_templates[ 'article_error_password_php' ], $insert );
			}
			else
			{
				session_start();

				if( $_SESSION[ 'articles_security_hash' ] != $input_security_hash )
				{
					echo $templates -> exectemplate( $main_templates[ 'site_header_html' ], $main_templates[ 'site_header_php' ], $insert );
					echo $templates -> exectemplate( $main_templates[ 'site_invalid_form_html' ], $main_templates[ 'site_invalid_form_php' ], $insert );
					echo $templates -> exectemplate( $main_templates[ 'site_footer_html' ], $main_templates[ 'site_footer_php' ], $insert );
					exit;
				}
			}
		}

		if( !isset( $article_notice ) )
		{
			if( $insert[ 'articlepage_title' ] )
			{
				$insert[ 'page_name' ] = htmlspecialchars( $insert[ 'articlepage_title' ] );
			}
			else
			{
				$insert[ 'page_name' ] = htmlspecialchars( $insert[ 'article_title' ] );
			}

			$insert[ 'article_title' ] = htmlspecialchars( $insert[ 'article_title' ] );
			$insert[ 'page_description' ] = htmlspecialchars( $insert[ 'article_description' ] );
			$insert[ 'page_keywords' ] = htmlspecialchars( $insert[ 'article_keywords' ] );
			$insert[ 'article_date' ] = $system -> convertdate( $insert[ 'article_date' ], $preferences[ 'articles_dateformat' ], $preferences[ 'website_timezone' ] );
			echo $templates -> exectemplate( $main_templates[ 'articles_pages_printer_html' ], $main_templates[ 'articles_pages_printer_php' ], $insert );
		}
		echo "<br /><br />";
		}
		$insert[ 'articlepage_text' ] = 1;
	}

	if( ( !isset( $insert[ 'articlepage_text' ] ) ) or( isset( $article_notice ) ) )
	{
		$insert[ 'page_name' ] = htmlspecialchars( $preferences[ 'website_name' ] );
		$insert[ 'page_description' ] = htmlspecialchars( $preferences[ 'website_description' ] );
		$insert[ 'page_keywords' ] = htmlspecialchars( $preferences[ 'website_keywords' ] );
		echo $templates -> exectemplate( $main_templates[ 'site_header_html' ], $main_templates[ 'site_header_php' ], $insert );

		if( $preferences[ 'articles_navigation' ] )
		{
			echo $templates -> exectemplate( $main_templates[ 'articles_header_html' ], $main_templates[ 'articles_header_php' ], $insert );
		}

		if( isset( $article_notice ) )
		{
			echo $templates -> exectemplate( $main_templates[ 'articles_error_password_html' ], $main_templates[ 'articles_error_password_php' ], $insert );
		}
		else
		{
			echo $templates -> exectemplate( $main_templates[ 'articles_error_na_html' ], $main_templates[ 'articles_error_na_php' ], $insert );
		}

		if( $preferences[ 'articles_navigation' ] )
		{
			echo $templates -> exectemplate( $main_templates[ 'articles_footer_html' ], $main_templates[ 'articles_footer_php' ], $insert );
		}

		echo $templates -> exectemplate( $main_templates[ 'site_footer_html' ], $main_templates[ 'site_footer_php' ], $insert );
	}
}
?>